# $Revision: 1.24 $, $Date: 2010/04/12 12:25:01 $
%define		mod_name	auth_kerb
%define 	apxs	/usr/sbin/apxs
Summary:	This is the Kerberos authentication module for Apache
Summary(pl.UTF-8):	Moduł uwierzytelnienia Kerberos dla Apache
Name:		apache-mod_%{mod_name}
Version:	5.4
Release:	3
Epoch:		1
License:	GPL
Group:		Networking/Daemons/HTTP
Source0:	http://dl.sourceforge.net/modauthkerb/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	642b81763ad3ca81dba359cb952da5e3
Source1:	%{name}.conf
Patch0:		%{name}-heimdal.patch
URL:		http://modauthkerb.sourceforge.net/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	gdbm-devel
BuildRequires:	heimdal-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
This is an authentication module for Apache that allows you to
authenticate HTTP clients using user entries in an Kerberos directory.

%description -l pl.UTF-8
To jest moduł uwierzytelnienia dla Apache pozwalający na
uwierzytelnianie klientów HTTP z użyciem wpisów w katalogu Kerberosa.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1

%build
%configure \
	--without-krb4 \
	--with-apache=%{_prefix}

%{__sed} -i -e 's/-pthread/-lpthread/' Makefile
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apachelibdir},%{apacheconfdir}}

install src/.libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{apachelibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/20_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{apachelibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_auth_kerb.spec,v $
Revision 1.24  2010/04/12 12:25:01  baggins
- rel 3

Revision 1.23  2009/12/14 12:06:22  baggins
- rel 2

Revision 1.22  2009/12/09 14:19:02  baggins
- gssapi_krb5.h is needed for heimdal, too

Revision 1.21  2009/12/09 14:14:07  baggins
- 5.4

Revision 1.20  2009/12/09 13:46:34  baggins
- rel 4

Revision 1.19  2009/07/02 22:13:21  baggins
- rel 3
- kill krb4 support
- switch to heimdal kerberos

Revision 1.18  2008/10/25 15:50:01  blues
- HTTP group

Revision 1.17  2007/12/26 18:03:11  glen
- use apacheconfdir/apachelibdir macros

Revision 1.16  2007-12-26 17:58:55  glen
- use conf.d for apache config fragment; rel 2

Revision 1.15  2007-12-09 10:42:22  glen
- apache-apxs -> %{apxs} in BR

Revision 1.14  2007-06-07 10:51:03  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.13  2007/04/27 08:15:08  qboosh
- CVE reference for 5.3

Revision 1.12  2007/04/01 17:26:35  baggins
- updated to 5.3 [fixes CVE-2006-5989]
- removed obsolete aprfix
- added krb4 bcond

Revision 1.11  2007/03/31 21:07:47  baggins
- rel 2
- s/heimdal/krb5/

Revision 1.10  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.8  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.7  2006/01/30 17:39:10  glen
- use %service

Revision 1.6  2005/12/27 01:33:00  glen
- unified files

Revision 1.5  2005/12/26 18:29:52  glen
- unified

Revision 1.4  2005/08/08 21:59:56  areq
- s/-pthread/-lpthread/

Revision 1.3  2005/08/08 21:19:21  areq
- 5.0rc6 (Mariusz Kryński)

Revision 1.2  2004/02/28 22:13:24  qboosh
- s/kerb/Kerberos/;s/autentykacji/uwierzytelnienia/

Revision 1.1  2004/02/28 20:00:57  aredridel
- added
